﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> اتصل بنا</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="ContactNotificationsLoaded" class="ionicons ion-android-notifications-none">
                  <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="ContactNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>

    </div>
</div>

<!-- Floating Action Button -->
<a ng-click="GoToAdvertisement()" class="floating-button" ng-show="isLoaded">
    <i class="ionicons ion-plus"></i>
</a>

<div class="page-content" ng-model="contactInfo">
    <div class="content-block">
        <div id="divContactUs" class="list-block m-0 p-0">
            <div class="m-auto">
                <form name="$parent.ContactUsForm" ng-submit="submitForm($parent.ContactUsForm.$valid)" novalidate>
                    <div class="m-auto">
                        <ul>
                            <li>
                                <div class="item-content" ng-class="submittedContactUs && contactUsReset && $parent.ContactUsForm.name.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <input name="name" class="form-control" type="text" placeholder="إسم مقدم الرسالة" ng-model="contactUsForm.name" required>
                                        </div>
                                    </div>
                                </div>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.name.$error.required" class="error-block">يجب إدخال الإسم بالكامل</p>
                            </li>
                            <li>
                                <div class="item-content" ng-class="submittedContactUs && contactUsReset && $parent.ContactUsForm.email.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <input name="email" class="form-control" type="text" placeholder="البريد الإلكتروني" ng-pattern="emailRegex" ng-model="contactUsForm.email" >
                                        </div>
                                    </div>
                                </div>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.email.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.email.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.email.$error.minlength" class="error-block"></p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.email.$error.maxlength" class="error-block"></p>
                            </li>
                            <li>
                                <div class="item-content" ng-class="submittedContactUs && contactUsReset && $parent.ContactUsForm.mobile.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <input name="mobile" class="form-control" type="tel" placeholder="رقم الجوال" ng-pattern="mobileRegex" ng-model="contactUsForm.mobile" required ng-minlength="10" ng-maxlength="10">
                                        </div>
                                    </div>
                                </div>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.mobile.$error.required" class="error-block">يجب إدخال رقم الجوال</p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.mobile.$error.pattern" class="error-block">رقم الجوال غير صحيح</p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.mobile.$error.minlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.mobile.$error.maxlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                            </li>
                            <li>
                                <div class="item-content  b-10" ng-class="submittedContactUs && contactUsReset && $parent.ContactUsForm.content.$invalid?'has-error':'no-error'">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <textarea name="content" class="form-control" type="text" placeholder="نص الرسالة" ng-model="contactUsForm.content" required></textarea>
                                        </div>
                                    </div>
                                </div>
                                <p ng-show="submittedContactUs && contactUsReset && $parent.ContactUsForm.content.$error.required" class="error-block">يجب إدخال نص الرسالة</p>
                            </li>
                        </ul>
                    </div>
                    <p>
                        <button  type="submit" class="button button-fill button-rounded centered-100" ng-click="submittedContactUs=true">إرسال</button>
                    </p>
                </form>
            </div>
        </div>
    </div>
</div>

